Subject: RE: v6ops-v6onbydefault: link-locals and AI_ADDRCONFIG

From: "Bound, Jim" <[email-masked]>
Date: Thu, 6 Nov 2003 11:16:14 -0500

There is nothing in getaddrinfo that precludes its use with any name
service.  If customized extesions are needed for that then extended
specs can be suggested.
/jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Stig Venaas
> Sent: Monday, November 03, 2003 10:16 AM
> To: Keith Moore
> Cc: Pekka Savola; [email-masked]; [email-masked]
> Subject: Re: v6ops-v6onbydefault: link-locals and AI_ADDRCONFIG
> 
> 
> [...]
> > - IMHO, getaddrinfo()'s job should be to report what is in 
> DNS, not to try to
> >   coerce apps into behaving well.  So even though apps 
> shouldn't be using
> >   link-local addresses, and even though people shouldn't 
> list link-local
> >   addresses in DNS, getaddrinfo() should not try to hide 
> such addresses from
> >   apps if they happen to appear in DNS.
> 
> I can sympathize with your opinions. I think two things are needed:
> 
> o A standard call that most applications can use in a simple 
> way. IMHO it
>   should query DNS, other name services, /etc/hosts etc.
> 
> o A standard call that applications can use to check what is in DNS
> 
> The first should IMHO be something like getaddrinfo() where 
> applications simply try the addresses in the order they are 
> returned. I also think it should be possible for an 
> administrator to define which name services should be used, 
> which type of addresses should be returned, and the order.
> 
> Another matter is what the API should be. Most IPv6 enabled 
> applications today use getaddrinfo(), while specialized DNS 
> applications like "host" use their own resolver routines. So 
> I would say that getaddrinfo() without special arguments 
> would be good for the general applications. For the DNS 
> applications one could use getaddrinfo() with a new option, 
> or a completely new call. It's easier to change the few DNS 
> applications that are out there.
> 
> Stig
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>